Bug 1004452 - (CVE-2013-4294) CVE-2013-4294 OpenStack: Keystone Token revocation failure using Keystone memcache/KVS backends
CVE-2013-4294 OpenStack: Keystone Token revocation failure using Keystone mem...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130911,repor...
: Security
Depends On: 1004461 1004462 1004463
Blocks: 1004460
  Show dependency treegraph
 
Reported: 2013-09-04 12:24 EDT by Kurt Seifried
Modified: 2016-04-26 10:21 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 13:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2013-4294-folsom.patch (5.53 KB, patch)
2013-09-04 12:26 EDT, Kurt Seifried
no flags Details | Diff
CVE-2013-4294-grizzly.patch (5.57 KB, patch)
2013-09-04 12:27 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-09-04 12:24:39 EDT
Thierry Carrez reports:

Title: Token revocation failure using Keystone memcache/KVS backends
Reporter: Kieran Spear (University of Melbourne)
Products: Keystone
Affects: Folsom, Grizzly

Description:
Kieran Spear from the University of Melbourne reported a vulnerability
in Keystone memcache and KVS token backends. The PKI token revocation
lists stored the entire token instead of the token ID, triggering
comparison failures, ultimately resulting in revoked PKI tokens still
being considered valid. Only Folsom and Grizzly Keystone setups making
use of PKI tokens with the memcache or KVS token backends are affected.
Havana setups, setups using UUID tokens, or setups using PKI tokens with
the SQL token backend are all unaffected.
Comment 1 Kurt Seifried 2013-09-04 12:26:37 EDT
Created attachment 793753 [details]
CVE-2013-4294-folsom.patch
Comment 2 Kurt Seifried 2013-09-04 12:27:52 EDT
Created attachment 793754 [details]
CVE-2013-4294-grizzly.patch
Comment 5 Vincent Danen 2013-09-11 11:52:51 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/11/5
Comment 6 Alan Pevec 2013-09-12 18:49:14 EDT
> This is now public:

Please create [fedora-all] clone.
Comment 7 Martin Prpič 2013-09-24 16:06:13 EDT
Acknowledgments:

Red Hat would like to thank Thierry Carrez of OpenStack upstream for reporting this issue. Upstream acknowledges Kieran Spear of University of Melbourne as the original reporter.
Comment 8 errata-xmlrpc 2013-09-25 12:18:44 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1285 https://rhn.redhat.com/errata/RHSA-2013-1285.html

Note You need to log in before you can comment on or make changes to this bug.